RTCWAKE(8)

BEZEICHNUNG
rtcwake - bis zu einer angegebenen Aufwachzeit in einen Systemschlafzustand eintreten

ÜBERSICHT

rtcwake [Optionen] [-d Gerät] [-m Standby-Modus] {-s Sekunden|-t time_t}

BESCHREIBUNG

Dieses Programm wird zum Eintreten in einen Systemschlafzustand und zum Aufwachen zu einer angegebenen Zeit verwendet.

Dies verwendet plattformübergreifende Linux-Schnittstellen, um in einen Schlafzustand des Systems einzutreten und diesen nicht später als zu der angegebenen Uhrzeit wieder zu verlassen. Es kann jeden RTC-Framework-Treiber verwenden, der die Aufweck-Schalter des Standard-Treibermodells unterstützt.

Dies wird normalerweise wie das alte Hilfswerkzeug apmsleep verwendet, um aus einem Suspendierzustand wie ACPI S1 (Bereitschaft) oder S3 (Suspendierung-auf-Platte) wieder aufzuwachen. Die meisten Plattformen können dies ohne die Entsprechungen von BIOS, APM oder ACPI durchführen.

Auf einigen Systemen kann dies auch wie nvram-wakeup verwendet werden, um aus Zuständen wie ACPI S4 (Suspendierung-auf-Platte) aufzuwachen. Nicht alle Systeme haben dauerhafte Medien, die für solche Suspendierungsmodi geeignet sind.

Beachten Sie, dass die Alarmfunktionalität von der Hardware abhängt; nicht jede RTC ist in der Lage, einen Alarm bis zu 24 Stunden in der Zukunft einzurichten.

Die Einrichtung der Suspendierung kann durch aktive Hardware unterbrochen werden. Beispielsweise können schnurlose USB-Eingabegeräte für einen Bruchteil einer Sekunde weiterhin Ereignisse senden, nachdem die Eingabetaste gedrückt worden ist. rtcwake versucht, dieses Problem zu vermeiden und wartet, bis das Terminal sich beruhigt hat, bevor es einen Systemschlaf einleitet.

OPTIONEN

-A, --adjfile Datei
    legt einen alternativen Pfad zur Adjust-Datei fest.

-a, --auto
    liest den Uhrzeitmodus (ob die Hardware-Uhr auf UTC oder lokale Zeit gesetzt ist) aus der Datei adjtime, in der hwclock(8) diese Information ablegt. Dies ist die Vorgabe.

--date Zeitstempel
    setzt die Aufweckzeit auf den Wert des Zeitstempels. Format des Zeitstempels kann eines der folgenden sein:
YYYYMMDDhhmmss |
YYYY-MM-DD hh:mm:ss |
YYYY-MM-DD hh:mm | (Sekunden werden auf 00 gesetzt)
YYYY-MM-DD | (Zeit wird auf 00:00:00 gesetzt)
hh:mm:ss | (Datum wird auf heute gesetzt)
hh:mm | (Datum wird auf heute gesetzt, Sekunden auf 00)
tomorrow | (Zeit ist auf 00:00:00 gesetzt)
+5min |

-d, --device Gerät
    verwendet das angegebene Gerät statt rtc0 als Echtzeituhr (RTC). Diese Option ist nur relevant, falls Ihr System mehr als ein RTC hat. Sie können hier rtc1, rtc2, ... angeben.

-l, --local
    nimmt an, dass die Hardware-Uhr auf lokale Zeit gesetzt ist, unabhängig von dem Inhalt der Datei adjtime.

--list-modes
    listet die verfügbaren Optionsargumente von --mode auf.

-m, --mode Modus
    wechselt in den angegebenen Standy-Modus. Gültige Werte für Modus sind:

    standby
        ACPI-Zustand S1. Dieser Zustand bietet eine minimale, aber trotzdem messbare Stromersparnis und stellt einen Übergang mit geringer Latenz zu einem funktionierenden System bereit. Dies ist der Standardmodus.

    freeze
        Die Prozesse sind eingefroren, alle Geräte sind suspendiert und alle Prozessoren laufen leer. Dieser Zustand ist ein allgemeiner Zustand, der keine plattformspezifische Unterstützung benötigt, er spart aber weniger Strom als Suspendierung-auf-Platte, da das System sich weiterhin in einem laufenden Zustand befindet. (Verfügbar seit Linux 3.9.)

    mem
        ACPI-Zustand S3 (Suspendierung-in-RAM). Dieser Zustand bietet signifikante Stromeinsparungen, da alles in dem System außer dem Speicher, der in einen selbstauffrischenden Modus zum Erhalt seines Inhalts gebracht ist, in einen Niedrigenergiezustand überführt ist.

    disk
        ACPI-Zustand S4 (Suspendierung-auf-Platte). Dieser Zustand ermöglicht die größten Energieeinsparungen und kann auch verwendet werden, wenn die Hardware-nahen Unterstützungen für das Energiesparen der Plattform fehlen. Dieser Zustand funktioniert ähnlich zu Suspendierung-in-RAM, im abschließenden Schritt wird zudem der Inhalt des Speichers auf Platte geschrieben.

    off
        ACPI-Zustand S5 (Ausschalten). Dies erfolgt durch Aufruf von »/sbin/shutdown«. Wird von ACPI nicht offiziell unterstützt, funktioniert üblicherweise aber.

    no
        suspendiert nicht sondern setzt nur die RTC-Aufweckzeit.

    on
        suspendiert nicht, liest aber das RTC-Gerät aus, bis die Alarmzeit eintritt. Dieser Modus ist für die Fehlersuche nützlich.

    disable
        deaktiviert einen vorher gesetzten Alarm.

    show
        zeigt die Alarminformationen im Format: »alarm: off|on <Zeit>«. Die Zeit ist im Ausgabeformat von ctime(), z.B. »alarm: on Tue Nov 16 04:48:45 2010«.

-n, --dry-run
    Diese Option macht alles, außer den Alarm tatsächlich einzurichten, das System zu suspendieren oder auf den Alarm zu warten.

-s, --seconds Sekunden
    setzt die Aufweckzeit auf Sekunden in der Zukunft (von jetzt).

-T, --time[=Datei]
    setzt die Aufweckzeit auf die absolute Zeit time_t. time_t ist die Zeit in Sekunden seit 1970−01−01, 00:00 UTC. Verwenden Sie das Werkzeug date(1), um zwischen der menschenlesbaren Zeit und time_t umzuwandeln.

-u, --utc
    nimmt an, dass die Hardware-Uhr auf UTC (Universal Time Coordinated) gesetzt ist, unabhängig von dem Inhalt der Datei adjtime.

-v, --verbose
    aktiviert den ausführlichen Modus.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

ANMERKUNGEN

Einige PC-Systeme können derzeit Schlafzustände wie mem unter alleiniger Verwendung des durch diesen Treiber verwendeten Kernelcodes nicht verlassen. Sie benötigen Hilfe durch Benutzerprogramme, damit der Framebuffer wieder funktioniert.

DATEIEN

/etc/adjtime

GESCHICHTE

Dieses Programm wurde mehrfach auf LKML und anderen Listen veröffentlicht, bevor es in der Kernel-Commit-Nachricht für Linux 2.6 im Git-Commit 87ac84f42a7a580d0dd72ae31d6a5eb4bfe04c6d erschien.

AUTOREN

Das Programm wurde von geschrieben und von verbessert.

COPYRIGHT

Dies ist freie Software. Sie können Sie unter den Bedingungen der verteilen. Es gibt KEINE HAFTUNG, soweit gesetzlich erlaubt.

SIEHE AUCH

adjtime_config(5), hwclock(8), date(1)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl rtcwake ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.